Bug 1336924 - [RFE]hypervisors that do NOT have a subscription attached should NOT be green under content hosts
Summary: [RFE]hypervisors that do NOT have a subscription attached should NOT be green...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.1.8
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact: jcallaha
URL:
Whiteboard:
: 1310698 1396145 1544016 (view as bug list)
Depends On:
Blocks: 260381 CEE_Sat6_Top_BZs, GSS_Sat6_Top_Bugs
TreeView+ depends on / blocked
 
Reported: 2016-05-17 19:54 UTC by Kathryn Dixon
Modified: 2021-09-09 11:51 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:35:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot 1 (133.21 KB, image/png)
2017-11-02 18:15 UTC, jcallaha
no flags Details
verification screenshot 2 (112.56 KB, image/png)
2017-11-02 18:15 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17147 0 Normal Closed add non-green subscription status for unsubscribed_hypervisor 2021-01-14 16:14:10 UTC
Red Hat Bugzilla 1246554 1 None None None 2021-06-10 10:56:50 UTC
Red Hat Knowledge Base (Solution) 2874721 0 None None None 2017-05-23 22:23:52 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Internal Links: 1246554

Description Kathryn Dixon 2016-05-17 19:54:54 UTC
Description of problem:

When walking through virt-who steps, and then hypervisors populate into the satellite webui, they are always green. This is confusing since they should be red in our customers eyes since they don't have a subscription yet. So often times we'll have to have a remote session in order to explain to them "yes they are green, but you still have to attach a subscription to them"


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. set up virt-who then start it
2. check under content hosts
3. all hypervisors show up and they are all green.

Actual results:

Even before adding a subscription, the status is green. On a regular content host they are red/yellow if they need a subscription. The hypervisors should be yellow, since they are in the webui, but need a subscription still.


Expected results:

status of yellow hypervisors, until you place a subscription on them.

Additional info:

Comment 8 Brad Buckingham 2017-08-14 12:22:27 UTC
Created redmine issue http://projects.theforeman.org/issues/20577 from this bug

Comment 9 Christine Fouant 2017-08-29 19:20:07 UTC
*** Bug 1396145 has been marked as a duplicate of this bug. ***

Comment 10 Satellite Program 2017-09-27 18:02:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17147 has been resolved.

Comment 11 jcallaha 2017-11-02 18:14:41 UTC
Verified in Satellite 6.3 Snap 22.

Hypervisors that don't have a valid subscription attached now show up in the UI as an "Unsubscribed Hypervisor", which gets the yellow warn icon. See attached images for verification.

Comment 12 jcallaha 2017-11-02 18:15:03 UTC
Created attachment 1347090 [details]
verification screenshot 1

Comment 13 jcallaha 2017-11-02 18:15:23 UTC
Created attachment 1347091 [details]
verification screenshot 2

Comment 14 Djebran Lezzoum 2017-11-22 16:32:09 UTC
qe_test_coverage PR: https://github.com/SatelliteQE/robottelo/pull/5585

Comment 15 Christian Marineau 2018-02-09 21:21:52 UTC
*** Bug 1544016 has been marked as a duplicate of this bug. ***

Comment 18 errata-xmlrpc 2018-02-21 12:35:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 19 Rich Jerrido 2018-07-18 12:38:29 UTC
*** Bug 1310698 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.